## visad
Class GridVectorType

    java.lang.Object
      visad.MathType
          visad.TupleType
              visad.RealTupleType
                  visad.RealVectorType
                      visad.GridVectorType

All Implemented Interfaces:
  Serializable

public class GridVectorType
extends RealVectorType

GridVectorType is the VisAD data type for 2-D and 3-D wind or current vectors in Units convertable with meter / second whose first component is parallel to grid rows, positive toward increasing column, and whose second component is parallel to grid columns, positive toward decreasing row. It assumes vertical coordinates transform nearly flat, so the optional third vertical wind component does not transform.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.RealTupleType
`Generic2D, Generic3D, LatitudeLongitudeAltitude, LatitudeLongitudeTuple, SpatialCartesian2DTuple, SpatialCartesian3DTuple, SpatialEarth2DTuple, SpatialEarth3DTuple, Time1DTuple`

Fields inherited from class visad.MathType
`SystemIntrinsic`

Constructor Summary
`GridVectorType(RealType[] types)`
`GridVectorType(RealType[] types, CoordinateSystem coord_sys)`

Method Summary

`double[][]`

`transformVectors(RealTupleType out, CoordinateSystem coord_out, Unit[] units_out, ErrorEstimate[] loc_errors_out, RealTupleType in, CoordinateSystem coord_in, Unit[] units_in, CoordinateSystem coord_vector, ErrorEstimate[] errors_in, ErrorEstimate[] errors_out, double[][] inloc, double[][] outloc, double[][] value)`
transform an array of vector values from a field, based on a coordinate transform of the field domain.

`float[][]`

`transformVectors(RealTupleType out, CoordinateSystem coord_out, Unit[] units_out, ErrorEstimate[] loc_errors_out, RealTupleType in, CoordinateSystem coord_in, Unit[] units_in, CoordinateSystem coord_vector, ErrorEstimate[] errors_in, ErrorEstimate[] errors_out, float[][] inloc, float[][] outloc, float[][] value)`
transform an array of vector values from a field, based on a coordinate transform of the field domain.

Methods inherited from class visad.RealVectorType
`transformVectors, transformVectors`

Methods inherited from class visad.RealTupleType
`binary, buildShadowType, equalsExceptName, equalsExceptNameButUnits, getCoordinateSystem, getDefaultSet, getDefaultUnits, makeArray, makeArray, makeArray, makeArray, missingData, prettyString, setDefaultSet, unary`

Methods inherited from class visad.TupleType
`__getitem__, __len__, cloneDerivative, equals, getComponent, getComponents, getDimension, getFlat, getIndex, getIndex, getNumberOfRealComponents, getRealComponents, hashCode`

Methods inherited from class visad.MathType
`addTimeAlias, findScalarType, guessMaps, main, prettyString, stringToType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GridVectorType

    public GridVectorType(RealType[] types)
                   throws VisADException

### GridVectorType

    public GridVectorType(RealType[] types,
                          CoordinateSystem coord_sys)
                   throws VisADException

Method Detail

### transformVectors

    public double[][] transformVectors(RealTupleType out,
                                       CoordinateSystem coord_out,
                                       Unit[] units_out,
                                       ErrorEstimate[] loc_errors_out,
                                       RealTupleType in,
                                       CoordinateSystem coord_in,
                                       Unit[] units_in,
                                       CoordinateSystem coord_vector,
                                       ErrorEstimate[] errors_in,
                                       ErrorEstimate[] errors_out,
                                       double[][] inloc,
                                       double[][] outloc,
                                       double[][] value)
                                throws VisADException,
                                       RemoteException

  transform an array of vector values from a field, based on a coordinate transform of the field domain. This may use the Jacobean of the coordinate transform, but may be more complex. For example, vectors in m/s would not transform for a simple rescaling transform. Or the transform may be to a moving coordinate system. out, coord_out, units_out, in, coord_in, units_in are the arguments to the corresponding call to transformCoordinates; loc_errors_out are the ErrorEstimates for loc from that call; inloc and outloc contain the input and output values from the corresponding call to transformCoordinates; coord_vector and errors_in are the CoordinateSystem and ErrorEstimates associated with values; value are the vector values (already resampled at loc); return new value array; return transformed ErrorEstimates in errors_out array

  Specified by:
    `transformVectors` in class `RealVectorType`
  Throws:
    `VisADException`
    `RemoteException`

### transformVectors

    public float[][] transformVectors(RealTupleType out,
                                      CoordinateSystem coord_out,
                                      Unit[] units_out,
                                      ErrorEstimate[] loc_errors_out,
                                      RealTupleType in,
                                      CoordinateSystem coord_in,
                                      Unit[] units_in,
                                      CoordinateSystem coord_vector,
                                      ErrorEstimate[] errors_in,
                                      ErrorEstimate[] errors_out,
                                      float[][] inloc,
                                      float[][] outloc,
                                      float[][] value)
                               throws VisADException,
                                      RemoteException

  transform an array of vector values from a field, based on a coordinate transform of the field domain. This may use the Jacobean of the coordinate transform, but may be more complex. For example, vectors in m/s would not transform for a simple rescaling transform. Or the transform may be to a moving coordinate system. out, coord_out, units_out, in, coord_in, units_in are the arguments to the corresponding call to transformCoordinates; loc_errors_out are the ErrorEstimates for loc from that call; inloc and outloc contain the input and output values from the corresponding call to transformCoordinates; coord_vector and errors_in are the CoordinateSystem and ErrorEstimates associated with values; value are the vector values (already resampled at loc); return new value array; return transformed ErrorEstimates in errors_out array

  Overrides:
    `transformVectors` in class `RealVectorType`
  Throws:
    `VisADException`
    `RemoteException`